#ifndef WEAPON_STUNSTICK_H
#define WEAPON_STUNSTICK_H
#ifdef _WIN32
#pragma once
#endif

#include "basebludgeonweapon.h"

#define	STUNSTICK_RANGE				75.0f
#define	STUNSTICK_REFIRE			0.6f

class CWeaponStunStick : public CBaseHLBludgeonWeapon
{
	DECLARE_DATADESC();
public:
	DECLARE_CLASS( CWeaponStunStick, CBaseHLBludgeonWeapon );

	CWeaponStunStick();

	DECLARE_SERVERCLASS();
	DECLARE_ACTTABLE();

	void		Precache( void );

	void		Spawn( void );

	float		GetRange( void )		{ return STUNSTICK_RANGE; }
	float		GetFireRate( void )		{ return STUNSTICK_REFIRE; }

	int			WeaponMeleeAttack1Condition( float flDot, float flDist );

	bool		Deploy( void );
	bool		Holster( CBaseCombatWeapon *pSwitchingTo = NULL );

	void		AddViewKick( void );
	void		Drop( const Vector &vecVelocity );
	void		ImpactEffect( trace_t &traceHit );
	void		SecondaryAttack( void )	{ return; }
	void		SetStunState( bool state );
	bool		GetStunState( void );
	void		Operator_HandleAnimEvent( animevent_t *pEvent, CBaseCombatCharacter *pOperator );

	float		GetDamageForActivity( Activity hitActivity );

private:

	CNetworkVar( bool, m_bActive );
};

#endif
